| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# areaset

$Revision: 1.4 $

$Date: 2002/06/12 11:18:00 $

areaset — A set of related areas in a graphic or code example

## Synopsis

### Content Model

    areaset ::=
    (area+)

### Attributes

Common attributes

Name | Type | Default
units |
Enumeration:
calspair
linecolumn
linecolumnpair
linerange
other
| None
label | CDATA | None
otherunits | NMTOKEN | None
coords | CDATA | Required

## Description

An `AreaSet` contains one or more `Area`s. These areas are bound in a set in order to associate them with a single `Callout` description. See `Area` for a more complete description of the areas.

For a complete description of callouts, see `Callout`.

### Processing expectations

Suppressed.

### Future Changes

The `Coords` attribute will be removed in DocBook V5.0.

### Parents

These elements contain areaset: `areaspec`.

### Children

The following elements occur in areaset: `area`.

## Attributes

coords

  `Coords` provides the coordinates of the `AreaSet`. The coordinates should be interpreted using the `Units` (or `OtherUnits`) specified. This attribute is erroneous since the enclosed `Area`s must also provide `Coords`. It will go away in DocBook 4.0.

label

  `Label` specifies an identifying number or string that may be used in presentation.

otherunits

  If none of the `Units` are applicable, set `Units` to `Other` and set `OtherUnits` to some application-specific description of the desired units.

units

  `Units` indicate how `Coords` are to be interpreted.

## Examples

For examples, see `graphicco`, `mediaobjectco`, `programlistingco`.

area |  | areaspec

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.